Update an organization's username
PUT
/auth/v1/memberships/{orgId}/usernameUpdates the unique username handle of the specified organization.
Authorization
Bearer Authorization<token>
In: header
Path Parameters
orgId*string
Organization ID
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_auth.updateOrgUsernameBody",
"$ref-value": {
"properties": {
"username": {
"maxLength": 24,
"type": "string"
}
},
"required": [
"username"
],
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/authv1.UpdateOrgUsernameResponse",
"$ref-value": {
"properties": {
"username": {
"type": "string"
}
},
"type": "object"
}
}curl -X PUT "https://api.rixl.com/auth/v1/memberships/string/username" \
-H "Content-Type: application/json" \
-d '{
"username": "string"
}'OK
application/json
{
"$ref": "#/components/schemas/authv1.UpdateOrgUsernameResponse",
"$ref-value": {
"properties": {
"username": {
"type": "string"
}
},
"type": "object"
}
}